# An UDP channel that listen and receives data

import UDPServer
import UDPClient

class UDPChannel:
  def __init__(self, localIp, localPort, distantIp, distantPort):
    self.localAddr = (localIp, localPort)
    self.distantAddr = (distantIp, distantPort)
    self.server = UDPServer.UDPServer(localIp, localPort)
    self.client = UDPClient.UDPClient(distantIp, distantPort)
    # Launch threads
    self.server.start()
    self.client.start()

  def start(self):
    self.server.start()
    self.client.start()

  def stop(self):
    self.server.stop()
    self.client.stop()

  def send(self, data):
    self.client.send(data, self.distantAddr)

  def setRecvHandler(self, handler):
    self.server.setRecvHandler(handler)
